## org.gnu.atk
Class Layer

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.atk.Layer

public class Layer
extends Enum

Describes the layer of a component.

Field Summary
`static Layer` `BACKGROUND`
`static Layer` `CANVAS`
`static Layer` `INVALID`
`static Layer` `MDI`
`static Layer` `OVERLAY`
`static Layer` `POPUP`
`static Layer` `WIDGET`
`static Layer` `WINDOW`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`Layer` `and(Layer other)`
`static Layer` `intern(int value)`
`Layer` `or(Layer other)`
`boolean` `test(Layer other)`
`Layer` `xor(Layer other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INVALID

    public static final Layer INVALID

### BACKGROUND

    public static final Layer BACKGROUND

### CANVAS

    public static final Layer CANVAS

### WIDGET

    public static final Layer WIDGET

### MDI

    public static final Layer MDI

### POPUP

    public static final Layer POPUP

### OVERLAY

    public static final Layer OVERLAY

### WINDOW

    public static final Layer WINDOW

Method Detail

### intern

    public static Layer intern(int value)

### or

    public Layer or(Layer other)

### and

    public Layer and(Layer other)

### xor

    public Layer xor(Layer other)

### test

    public boolean test(Layer other)